Search Results for

Show / Hide Table of Contents

# Class View.FocusEventArgs

Defines the event arguments for Terminal.Gui.View.SetFocus(Terminal.Gui.View)

##### Inheritance

System.Object
View.FocusEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class FocusEventArgs : EventArgs

### Constructors

#### FocusEventArgs(View)

Constructs.

##### Declaration

    public FocusEventArgs(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | The view that gets or loses focus.

### Properties

#### Handled

Indicates if the current focus event has already been processed and the driver should stop notifying any other event subscriber. Its important to set this value to true specially when updating any View's layout from inside the subscriber method.

##### Declaration

    public bool Handled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### View

Indicates the current view that gets or loses focus.

##### Declaration

    public View View { get; set; }

##### Property Value

Type | Description
--- | ---
View |